- Home
- API Enriched
- Support
- operate
- Resync CRL.
Resync CRL.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/resync_crl';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","site":"example","uid":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/resync_crl \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "site": "example", "uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Resync CRL by downloading from the server again.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site for which request is sent.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to trigger resync of CRL in VER.
object
Exclusive with [uid] Name of the CRL object.
Namespace for which the request is sent (system)
Name of the site for which request is sent.
Exclusive with [name] UID of the CRL object.
Examplegenerated
{ "name": "example", "namespace": "example", "site": "example", "uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”A successful response.
Response for Resync CRL Request.
object
Status of the CRL request.
Examplegenerated
{ "status": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example